SdFat

Public Attributes | List of all members
fname_t Struct Reference

Internal type for Short File Name - do not use in user apps. More...

`#include <FatFile.h>`

## Public Attributes
uint8_t | flags
size_t | len
const char * | lfn
uint8_t | seqPos
uint8_t | sfn [11]

## Detailed Description

Internal type for Short File Name - do not use in user apps.

## Member Data Documentation

## ◆ flags

uint8_t fname_t::flags

Flags for base and extension character case and LFN.

## ◆ len

size_t fname_t::len

length of Long File Name

## ◆ lfn

const char* fname_t::lfn

Long File Name start.

## ◆ seqPos

uint8_t fname_t::seqPos

position for sequence number

## ◆ sfn

uint8_t fname_t::sfn[11]

Short File Name

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/FatFile.h